Subject: Re: bug#45834: 28.0.50; Mouse events in terminal emacs

From: Eli Zaretskii <[email-masked]>
Date: Thu, 09 Sep 2021 09:30:19 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 08 Sep 2021 22:22:48 -0400
> 
> Eli wrote:
> > I meant the original input: "ESC [ I"  This should be a complete key
> > sequence, given the following:
> >
> >     (define-key map "\e[I" #'xterm-translate-focus-in)
> 
> `xterm-translate-focus-in` works at the level of keysequence remapping,
> so "ESC [ I" is indeed a complete sequence but *for a remapping* and
> it's remapped to the empty keysequence, which is not a complete keysequence.
> 
> In the sense of `C-h k`, "\e[I" is not bound to `xterm-translate-focus-in`.
> 
> AFAIK we don't currently have a command to query which key-remapping
> happened for a given sequence of events, IOW, there is no equivalent to
> `C-h k` that could tell the user that "\e[I" is "bound" to
> `xterm-translate-focus-in`.
> 
> The closest that we have is that `C-h k` will tell the users both the
> remapped keysequence and the original ("untranslated") keysequence.

So you are basically saying that this stuff works as intended, and the
key-echo should be considered a "feature", or at worst a harmless
misfeature?